aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libgsf/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-11-02 19:07:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-11-02 19:07:27 +0000
commit4bd31356d1ffe4987b274a5186b5824503f0a5b7 (patch)
treed91257fe2ac17ef9e441e7b1d6f81e7aa54fd51c /x11/libgsf/APKBUILD
parent27f059c8bbc6668c0fd458f63e3f2545eda94903 (diff)
downloadaports-4bd31356d1ffe4987b274a5186b5824503f0a5b7.tar.gz
aports-4bd31356d1ffe4987b274a5186b5824503f0a5b7.tar.bz2
aports-4bd31356d1ffe4987b274a5186b5824503f0a5b7.tar.xz
x11/libgsf: upgrade to 1.14.16
Diffstat (limited to 'x11/libgsf/APKBUILD')
-rw-r--r--x11/libgsf/APKBUILD13
1 files changed, 8 insertions, 5 deletions
diff --git a/x11/libgsf/APKBUILD b/x11/libgsf/APKBUILD
index 1eb85d6c18..ae307f6704 100644
--- a/x11/libgsf/APKBUILD
+++ b/x11/libgsf/APKBUILD
@@ -1,6 +1,6 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libgsf
-pkgver=1.14.15
+pkgver=1.14.16
pkgrel=0
pkgdesc="The GNOME Structured File Library is a utility library for reading and writing structured file formats."
url="http://www.gnome.org/"
@@ -12,8 +12,7 @@ source="http://ftp.gnome.org/pub/GNOME/sources/$pkgname/1.14/$pkgname-$pkgver.ta
depends_dev="glib-dev libxml2-dev pkgconfig"
-build ()
-{
+build() {
cd "$srcdir"/$pkgname-$pkgver
sed -i -e 's/gsf-gnome//' -e 's/thumbnailer//' Makefile.* || return 1
./configure --prefix=/usr \
@@ -24,8 +23,12 @@ build ()
--without-gnome-vfs \
--without-bonobo || return 1
make || return 1
- make DESTDIR=""$pkgdir"" install || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
rm -f "$pkgdir"/usr/share/man/man1/gsf-office-thumbnailer.1
}
-md5sums="5118e971b4257f50b6914404593f63cf libgsf-1.14.15.tar.bz2"
+md5sums="8478d83fda0b6e57f36550c11a693ee1 libgsf-1.14.16.tar.bz2"